Get department
Get department by Id
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
departmentId
The id of the department.
Response
ok
description
The description of the department.
name
The unique name of the department within the cluster. Must be a valid Kubernetes name (lowercase, alphanumeric, hyphens allowed).
clusterId
The id of the cluster.
id
createdAt
updatedAt
totalResources
resources
Resources assigned to this Organization per Node Pool
schedulingRules
Scheduling rules that define time limits and idle GPU timeouts for workloads in this org-unit. These rules help manage resource utilization by automatically terminating or preempting idle or long-running workloads.
defaultNodePools
An ordered list of node pools that defines the default scheduling preference for workloads in this department. The Scheduler will attempt to schedule workloads on node pools in this order. This setting is enforced if no node pool list is defined in the workload policy.
nodeTypes
Deprecated: use a workload policy node selector to target node types instead. Node type configurations for different workload types (training, workspace). Specifies which node types are allowed for each workload type. Enforced when no node type is configured in the workload policy.
overtimeData
createdBy
updatedBy
children
projectsAggregatedResources
status
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error